Subject: Please help my roses!!

From: CHRISTINE PIERCE <[email-masked]>
Date: 7 Jun 1996 12:23:32 GMT

I have two problems with my babies.

One is that the leaves of my Blue Girl are getting these brown patches
(dead patches on the leaf, not blackspot type patches, have experienced
those) throughout the center of the leaves that then become holes with
ragged edges which has spread all over the bush.  Is this a fungus?  Bug?
 I can't see any evidence of insects either day or night.  This has begun
to affect my yellow peace.

Two, my yellow peace gets this really strange yellow patches on some of
it's leaves.  It doesn't look like the deficiencies (thanks to readers
digest) but I'm praying its not the virus either.  It doesn't go between
the veins, kinda rambles all over the leaf and sometimes more than one
spot on a leaf.  Also the dead patches haves from the blue girl have
appeared.

Please tell me of a cure/cause.  It would kill me to have to destroy my
babies.